
####################NqA Packages Inizialization and insallation ###################

#Inizializing biocLite
source("http://bioconductor.org/biocLite.R")
update.packages(repos=biocinstallRepos(), ask=FALSE)
biocLite()

biocLite("affy",dep=T)
install.packages("RColorBrewer",dep=T)
biocLite("NormqPCR",dep=T)
install.packages("epiR",dep=T)
install.packages("calibrate",dep=T)
install.packages("plotrix",dep=T)
 
library(affy)         # Required for packages Read and Norm qPCR
library(RColorBrewer) # as above
library(ReadqPCR)     # Package for read data and start Normalization
library(NormqPCR)     # Package for Normalization
library(epiR)	    # Package for calculate K-Statistic and its CI
library(calibrate)    # Package for textxy function, setting names of miRNAs in the volcanoplot
library(plotrix)      # Package for create CI plot of a variable

################################################################################
################################ Define work folder ############################
################################################################################
path<-"C:\\NqA"
setwd(path)


################################################################################
############################### Call NqA code ##################################
################################################################################
source('C:\\NqA\\NqA_code.R')


################################################################################
############################### Define NqA arguments ###########################
################################################################################

nomifiles<-c("1.1Inputfile.dat")
nominorm<-c("U6 snRNA-001973","MammU6-4395470")
q<-nqa(nomifiles,0.05,0.05,0.80,"1.2Inputfile.dat",40,nominorm)

